You are not logged in.

#1 2012-12-31 16:52:50

fredbezies
Member
Registered: 2011-07-28
Posts: 279

Problem with Automake 1.13.0

Hello.

I upgraded this morning automake to version 1.13.0. And when I try to get build vlc-git, I got this error :

configure.ac:28: error: possibly undefined macro: AM_CONFIG_HEADER
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1

Going back to previous version fixes the problem.

Any idea ?

Offline

#2 2012-12-31 22:10:46

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 312

Re: Problem with Automake 1.13.0

sed 's|AM_CONFIG_HEADER(config.h)|AC_CONFIG_HEADERS([config.h])|g' -i configure.ac

edited

Last edited by sl1pkn07 (2012-12-31 22:25:28)

Offline

#3 2012-12-31 22:43:35

falconindy
Developer
From: New York, USA
Registered: 2009-10-22
Posts: 4,095
Website

Re: Problem with Automake 1.13.0

AKA it needs to be fixed upstream.

http://www.flameeyes.eu/autotools-mythb … omake.html

Offline

#4 2013-01-01 15:32:57

fredbezies
Member
Registered: 2011-07-28
Posts: 279

Re: Problem with Automake 1.13.0

Already reported upstream : https://trac.videolan.org/vlc/ticket/7975

Until it is fixed, I will warn on AUR vlc-git page.

Offline

#5 2013-01-26 19:46:58

Jristz
Member
From: America/Santiago
Registered: 2011-06-11
Posts: 921

Re: Problem with Automake 1.13.0

you can use

export AUTOMAKE:automake

work for me


Well, I suppose that this is somekind of signature, no?

Offline

Board footer

Powered by FluxBB